package core

// Implementation: github.com/lucasdataproyects/devfactory/core

// Reduce reduce un slice a un unico valor aplicando una funcion acumuladora.
func Reduce[T, U any](slice []T, initial U, f func(U, T) U) U {
	// stub
	return initial
}
